aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSauli Tähkäpää <sauli@vaadin.com>2014-12-18 09:46:51 +0200
committerVaadin Code Review <review@vaadin.com>2015-01-16 00:15:23 +0000
commit09499a7d88e79ab25dde9a7c36a94b29f82be2b6 (patch)
tree4f0b4e2fc102730615203151407c78b4240bc0c1
parentfc9f436d92bcc6eae2854933c331920351d8dfea (diff)
downloadvaadin-framework-09499a7d88e79ab25dde9a7c36a94b29f82be2b6.tar.gz
vaadin-framework-09499a7d88e79ab25dde9a7c36a94b29f82be2b6.zip
Add archetype validation scripts.
Change-Id: Ie84eda1120b9b91fc3289961e134a567fcbdbd52
-rw-r--r--scripts/validate-application-archetype-linux.sh40
-rwxr-xr-xscripts/validate-application-archetype-osx.sh44
-rwxr-xr-xscripts/validate-application-example-archetype-linux.sh40
-rwxr-xr-xscripts/validate-application-example-archetype-osx.sh44
-rwxr-xr-xscripts/validate-widget-archetype-linux.sh39
-rwxr-xr-xscripts/validate-widget-archetype-osx.sh43
6 files changed, 250 insertions, 0 deletions
diff --git a/scripts/validate-application-archetype-linux.sh b/scripts/validate-application-archetype-linux.sh
new file mode 100644
index 0000000000..a1b1c6558d
--- /dev/null
+++ b/scripts/validate-application-archetype-linux.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+display_usage() {
+echo -e "\nUsage:\n$0 <version> <framework staging id> <archetypes staging id> <plugin staging id>\n"
+echo -e "Example: 7.3.7 1450 1451 1452"
+}
+
+# if less than two arguments supplied, display usage
+if [ $# -le 3 ]
+then
+ display_usage
+ exit 1
+fi
+
+# check whether user had supplied -h or --help . If yes display usage
+if [[ ( $# == "--help") || $# == "-h" ]]
+then
+ display_usage
+ exit 0
+fi
+
+VERSION=$1
+VAADINREPO=comvaadin-$2
+ARCHETYPEREPO=comvaadin-$3
+PLUGINREPO=comvaadin-$4
+
+REPOBASE=https://oss.sonatype.org/content/repositories/
+ART=test-application-$VERSION
+GROUP=testpkg
+mvn archetype:generate -DarchetypeGroupId=com.vaadin -DarchetypeArtifactId=vaadin-archetype-application -DarchetypeVersion=$VERSION -DarchetypeRepository=$REPOBASE$ARCHETYPEREPO -DgroupId=$GROUP -DartifactId=$ART -Dversion=1.0-SNAPSHOT -DinteractiveMode=false
+pushd $ART
+# Add vaadin repo
+sed -i "s#<repositories>#<repositories><repository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></repository>#" pom.xml
+# Add vaadin and plugin repo as plugin repos
+sed -i "s#</repositories>#</repositories><pluginRepositories><pluginRepository><id>vaadin-$VERSION-plugin-staging</id><url>$REPOBASE$PLUGINREPO</url></pluginRepository></pluginRepositories>#" pom.xml
+
+mvn install
+
+pushd $ART-ui
+mvn jetty:run
diff --git a/scripts/validate-application-archetype-osx.sh b/scripts/validate-application-archetype-osx.sh
new file mode 100755
index 0000000000..b6d2c8f1d9
--- /dev/null
+++ b/scripts/validate-application-archetype-osx.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+display_usage() {
+echo -e "\nUsage:\n$0 <version> <framework staging id> <archetypes staging id> <plugin staging id>\n"
+echo -e "Example: 7.3.7 1450 1451 1452"
+}
+
+# if less than two arguments supplied, display usage
+if [ $# -le 3 ]
+then
+ display_usage
+ exit 1
+fi
+
+# check whether user had supplied -h or --help . If yes display usage
+if [[ ( $# == "--help") || $# == "-h" ]]
+then
+ display_usage
+ exit 0
+fi
+
+VERSION=$1
+VAADINREPO=comvaadin-$2
+ARCHETYPEREPO=comvaadin-$3
+PLUGINREPO=comvaadin-$4
+
+# Only for Mac
+MAC1=-e
+MAC2=.foo
+
+REPOBASE=https://oss.sonatype.org/content/repositories/
+ART=test-application-$VERSION
+GROUP=testpkg
+mvn archetype:generate -DarchetypeGroupId=com.vaadin -DarchetypeArtifactId=vaadin-archetype-application -DarchetypeVersion=$VERSION -DarchetypeRepository=$REPOBASE$ARCHETYPEREPO -DgroupId=$GROUP -DartifactId=$ART -Dversion=1.0-SNAPSHOT -DinteractiveMode=false
+pushd $ART
+# Add vaadin repo
+sed $MAC1 "s#<repositories>#<repositories><repository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></repository>#" -i $MAC2 pom.xml
+# Add vaadin and plugin repo as plugin repos
+sed $MAC1 "s#</repositories>#</repositories><pluginRepositories><pluginRepository><id>vaadin-$VERSION-plugin-staging</id><url>$REPOBASE$PLUGINREPO</url></pluginRepository></pluginRepositories>#" -i $MAC2 pom.xml
+
+mvn install
+
+pushd $ART-ui
+mvn jetty:run
diff --git a/scripts/validate-application-example-archetype-linux.sh b/scripts/validate-application-example-archetype-linux.sh
new file mode 100755
index 0000000000..01a5300fa9
--- /dev/null
+++ b/scripts/validate-application-example-archetype-linux.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+display_usage() {
+echo -e "\nUsage:\n$0 <version> <framework staging id> <archetypes staging id> <plugin staging id>\n"
+echo -e "Example: 7.3.7 1450 1451 1452"
+}
+
+# if less than two arguments supplied, display usage
+if [ $# -le 3 ]
+then
+ display_usage
+ exit 1
+fi
+
+# check whether user had supplied -h or --help . If yes display usage
+if [[ ( $# == "--help") || $# == "-h" ]]
+then
+ display_usage
+ exit 0
+fi
+
+VERSION=$1
+VAADINREPO=comvaadin-$2
+ARCHETYPEREPO=comvaadin-$3
+PLUGINREPO=comvaadin-$4
+
+REPOBASE=https://oss.sonatype.org/content/repositories/
+ART=test-application-example-$VERSION
+GROUP=testpkg
+mvn archetype:generate -DarchetypeGroupId=com.vaadin -DarchetypeArtifactId=vaadin-archetype-application-example -DarchetypeVersion=$VERSION -DarchetypeRepository=$REPOBASE$ARCHETYPEREPO -DgroupId=$GROUP -DartifactId=$ART -Dversion=1.0-SNAPSHOT -DinteractiveMode=false
+pushd $ART
+# Add vaadin repo
+sed -i "s#<repositories>#<repositories><repository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></repository>#" pom.xml
+# Add vaadin and plugin repo as plugin repos
+sed -i "s#</repositories>#</repositories><pluginRepositories><pluginRepository><id>vaadin-$VERSION-plugin-staging</id><url>$REPOBASE$PLUGINREPO</url></pluginRepository></pluginRepositories>#" pom.xml
+
+mvn install
+
+pushd $ART-ui
+mvn jetty:run
diff --git a/scripts/validate-application-example-archetype-osx.sh b/scripts/validate-application-example-archetype-osx.sh
new file mode 100755
index 0000000000..01d23cbb0f
--- /dev/null
+++ b/scripts/validate-application-example-archetype-osx.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+display_usage() {
+echo -e "\nUsage:\n$0 <version> <framework staging id> <archetypes staging id> <plugin staging id>\n"
+echo -e "Example: 7.3.7 1450 1451 1452"
+}
+
+# if less than two arguments supplied, display usage
+if [ $# -le 3 ]
+then
+ display_usage
+ exit 1
+fi
+
+# check whether user had supplied -h or --help . If yes display usage
+if [[ ( $# == "--help") || $# == "-h" ]]
+then
+ display_usage
+ exit 0
+fi
+
+VERSION=$1
+VAADINREPO=comvaadin-$2
+ARCHETYPEREPO=comvaadin-$3
+PLUGINREPO=comvaadin-$4
+
+# Only for Mac
+MAC1=-e
+MAC2=.foo
+
+REPOBASE=https://oss.sonatype.org/content/repositories/
+ART=test-application-example-$VERSION
+GROUP=testpkg
+mvn archetype:generate -DarchetypeGroupId=com.vaadin -DarchetypeArtifactId=vaadin-archetype-application-example -DarchetypeVersion=$VERSION -DarchetypeRepository=$REPOBASE$ARCHETYPEREPO -DgroupId=$GROUP -DartifactId=$ART -Dversion=1.0-SNAPSHOT -DinteractiveMode=false
+pushd $ART
+# Add vaadin repo
+sed $MAC1 "s#<repositories>#<repositories><repository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></repository>#" -i $MAC2 pom.xml
+# Add vaadin and plugin repo as plugin repos
+sed $MAC1 "s#</repositories>#</repositories><pluginRepositories><pluginRepository><id>vaadin-$VERSION-plugin-staging</id><url>$REPOBASE$PLUGINREPO</url></pluginRepository></pluginRepositories>#" -i $MAC2 pom.xml
+
+mvn install
+
+pushd $ART-ui
+mvn jetty:run
diff --git a/scripts/validate-widget-archetype-linux.sh b/scripts/validate-widget-archetype-linux.sh
new file mode 100755
index 0000000000..e29c69f3f4
--- /dev/null
+++ b/scripts/validate-widget-archetype-linux.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+display_usage() {
+echo -e "\nUsage:\n$0 <version> <framework staging id> <archetypes staging id> <plugin staging id>\n"
+echo -e "Example: 7.3.7 1450 1451 1452"
+}
+
+# if less than two arguments supplied, display usage
+if [ $# -le 3 ]
+then
+ display_usage
+ exit 1
+fi
+
+# check whether user had supplied -h or --help . If yes display usage
+if [[ ( $# == "--help") || $# == "-h" ]]
+then
+ display_usage
+ exit 0
+fi
+
+VERSION=$1
+VAADINREPO=comvaadin-$2
+ARCHETYPEREPO=comvaadin-$3
+PLUGINREPO=comvaadin-$4
+
+REPOBASE=https://oss.sonatype.org/content/repositories/
+ART=test-widget-$VAADINVERSION
+GROUP=testpkg
+mvn archetype:generate -DarchetypeGroupId=com.vaadin -DarchetypeArtifactId=vaadin-archetype-widget -DarchetypeVersion=$VERSION -DarchetypeRepository=$REPOBASE$ARCHETYPEREPO -DgroupId=$GROUP -DartifactId=$ART -Dversion=1.0-SNAPSHOT -DinteractiveMode=false -DComponentClassName=TestComponent
+pushd $ART
+# Add vaadin repo
+sed -i "s#<repositories>#<repositories><repository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></repository>#" */pom.xml
+# Add vaadin and plugin repo as plugin repos
+sed -i "s#<pluginRepositories>#<pluginRepositories><pluginRepository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></pluginRepository>#" */pom.xml
+sed -i "s#<pluginRepositories>#<pluginRepositories><pluginRepository><id>vaadin-$VERSION-plugin-staging</id><url>$REPOBASE$PLUGINREPO</url></pluginRepository>#" */pom.xml
+
+pushd $ART && mvn install && popd
+pushd $ART-demo && mvn package jetty:run
diff --git a/scripts/validate-widget-archetype-osx.sh b/scripts/validate-widget-archetype-osx.sh
new file mode 100755
index 0000000000..cef27ea2a3
--- /dev/null
+++ b/scripts/validate-widget-archetype-osx.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+display_usage() {
+echo -e "\nUsage:\n$0 <version> <framework staging id> <archetypes staging id> <plugin staging id>\n"
+echo -e "Example: 7.3.7 1450 1451 1452"
+}
+
+# if less than two arguments supplied, display usage
+if [ $# -le 3 ]
+then
+ display_usage
+ exit 1
+fi
+
+# check whether user had supplied -h or --help . If yes display usage
+if [[ ( $# == "--help") || $# == "-h" ]]
+then
+ display_usage
+ exit 0
+fi
+
+VERSION=$1
+VAADINREPO=comvaadin-$2
+ARCHETYPEREPO=comvaadin-$3
+PLUGINREPO=comvaadin-$4
+
+# Only for Mac
+MAC1=-e
+MAC2=.foo
+
+REPOBASE=https://oss.sonatype.org/content/repositories/
+ART=test-widget-$VAADINVERSION
+GROUP=testpkg
+mvn archetype:generate -DarchetypeGroupId=com.vaadin -DarchetypeArtifactId=vaadin-archetype-widget -DarchetypeVersion=$VERSION -DarchetypeRepository=$REPOBASE$ARCHETYPEREPO -DgroupId=$GROUP -DartifactId=$ART -Dversion=1.0-SNAPSHOT -DinteractiveMode=false -DComponentClassName=TestComponent
+pushd $ART
+# Add vaadin repo
+sed $MAC1 "s#<repositories>#<repositories><repository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></repository>#" -i $MAC2 */pom.xml
+# Add vaadin and plugin repo as plugin repos
+sed $MAC1 "s#<pluginRepositories>#<pluginRepositories><pluginRepository><id>vaadin-$VERSION-staging</id><url>$REPOBASE$VAADINREPO</url></pluginRepository>#" -i $MAC2 */pom.xml
+sed $MAC1 "s#<pluginRepositories>#<pluginRepositories><pluginRepository><id>vaadin-$VERSION-plugin-staging</id><url>$REPOBASE$PLUGINREPO</url></pluginRepository>#" -i $MAC2 */pom.xml
+
+pushd $ART && mvn install && popd
+pushd $ART-demo && mvn package jetty:run